libetonyek::PAG1TextStorageElement Class Reference documentation

libetonyek::PAG1TextStorageElement Class Reference

`#include <PAG1TextStorageElement.h>`

Inheritance diagram for libetonyek::PAG1TextStorageElement:

## Public Member Functions
| PAG1TextStorageElement (PAG1ParserState &state, const PAGTextStorageKind kind=PAG_TEXTSTORAGE_KIND_BASIC)
| PAG1TextStorageElement (PAG1ParserState &state, IWORKStylesheetPtr_t &mainMap, const PAGTextStorageKind kind=PAG_TEXTSTORAGE_KIND_BASIC)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< IWORKTextStorageElement >
| PAG1XMLContextBase (PAG1ParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKTextStorageElement, PAG1ParserState, PAGCollector >
| IWORKXMLContextBase (PAG1ParserState &state)
PAG1ParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKTextStorageElement
| IWORKTextStorageElement (IWORKXMLParserState &state)
| IWORKTextStorageElement (IWORKXMLParserState &state, IWORKStylesheetPtr_t &mainMap)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
PAGTextStorageKind | m_kind
bool | m_textOpened

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKTextStorageElement, PAG1ParserState, PAGCollector >
PAGCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKTextStorageElement
void | sendStylesheet ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKTextStorageElement, PAG1ParserState, PAGCollector >
PAG1ParserState & | m_state
Protected Attributes inherited from libetonyek::IWORKTextStorageElement
IWORKStylesheetPtr_t * | m_stylesheet
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ PAG1TextStorageElement() [1/2]

libetonyek::PAG1TextStorageElement::PAG1TextStorageElement | ( | PAG1ParserState & | state,
|  | const PAGTextStorageKind | kind = PAG_TEXTSTORAGE_KIND_BASIC )
| explicit

Referenced by PAG1TextStorageElement().

## ◆ PAG1TextStorageElement() [2/2]

libetonyek::PAG1TextStorageElement::PAG1TextStorageElement | ( | PAG1ParserState & | state,
|  | IWORKStylesheetPtr_t & | mainMap,
|  | const PAGTextStorageKind | kind = PAG_TEXTSTORAGE_KIND_BASIC )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1TextStorageElement::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Reimplemented from libetonyek::IWORKTextStorageElement.

## ◆ endOfElement()

void libetonyek::PAG1TextStorageElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Reimplemented from libetonyek::IWORKTextStorageElement.

## Member Data Documentation

## ◆ m_kind

PAGTextStorageKind libetonyek::PAG1TextStorageElement::m_kind
| private

Referenced by element(), endOfElement(), PAG1TextStorageElement(), and PAG1TextStorageElement().

## ◆ m_textOpened

bool libetonyek::PAG1TextStorageElement::m_textOpened
| private

Referenced by element(), endOfElement(), PAG1TextStorageElement(), and PAG1TextStorageElement().

The documentation for this class was generated from the following files:

- PAG1TextStorageElement.h
- PAG1TextStorageElement.cpp